Package: org.gradle.plugins.javascript.base

## [Java] Class JavaScriptRepositoriesExtension

- org.gradle.plugins.javascript.base.JavaScriptRepositoriesExtension

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `GOOGLE_APIS_REPO_URL` |
    `static String` | `GRADLE_PUBLIC_JAVASCRIPT_REPO_URL` |
    `static String` | `NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaScriptRepositoriesExtension (RepositoryHandler repositories)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IvyArtifactRepository` | `googleApis()`
    `IvyArtifactRepository` | `googleApis(Action<? super IvyArtifactRepository> action)`
    `ArtifactRepository` | `gradle()`
    `MavenArtifactRepository` | `gradle(Action<? super MavenArtifactRepository> action)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String GOOGLE_APIS_REPO_URL

    - #### public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

    - #### public static final String NAME

  - ### Constructor Detail

    - #### public JavaScriptRepositoriesExtension(RepositoryHandler repositories)

  - ### Method Detail

    - #### public IvyArtifactRepository googleApis()

    - #### public IvyArtifactRepository googleApis(Action<? super IvyArtifactRepository> action)

    - #### public ArtifactRepository gradle()

    - #### public MavenArtifactRepository gradle(Action<? super MavenArtifactRepository> action)